Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355779 - imagestream tags that follow another tag have the wrong value
Summary: imagestream tags that follow another tag have the wrong value
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.2.1
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On: 1343681
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 14:08 UTC by Scott Dodson
Modified: 2016-07-20 19:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Previously, ImageStreamTags that followed another tag were not properly updated when source tag was updated. Now ImageStreamTags are properly updated when the tag they follow is updated.
Clone Of: 1343681
Environment:
Last Closed: 2016-07-20 19:37:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1466 normal SHIPPED_LIVE Red Hat OpenShift Enterprise 3.2.1.9 security and bug fix update 2016-07-20 23:37:14 UTC

Description Scott Dodson 2016-07-12 14:08:06 UTC
+++ This bug was initially created as a clone of Bug #1343681 +++

Description of problem:
online has two nodejs tags defined: 0.10 and latest

the latest tag follows the 0.10 tag, but has a different image id value, as seen here, after import-images is run:
https://gist.github.com/bparees/12a6a6b25a3ea93e87690d69ababfa3a

the values should be the same (the 0.10 value is the correct one).

--- Additional comment from Maciej Szulik on 2016-06-09 14:52:20 EDT ---

Fixed in https://github.com/openshift/origin/pull/9258

--- Additional comment from openshift-github-bot on 2016-06-15 14:47:54 EDT ---

Commits pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/6dd1c697715d04e9e4b7ba6741a4b40c0673eec1
Bug 1343681 - Fix tagsChanged logic

https://github.com/openshift/origin/commit/30c509f7c19528145eaaaccc9ae3bbb15bfe1026
Merge pull request #9258 from soltysh/bug1343681

Merged by openshift-bot

--- Additional comment from  on 2016-06-21 03:53:59 EDT ---

Verified against dev-preview-stg

--- Additional comment from Vu Dinh on 2016-07-11 17:31:26 EDT ---

Hi Ming,

Can you provide a bit of details how did you verify this issue again dev-preview-stg cluster? As far as I recall, this issue requires a master upgrade in order to fix the issue and this code fix only exists on OSE 3.3.0+ while the master on STG cluster is atomic-openshift-master-3.2.1.3-1.git.0.dfa4ad6.el7.x86_64 (OSE 3.2.1) which shouldn't have the fix.

Thanks in advance,
Vu

--- Additional comment from  on 2016-07-12 04:58:51 EDT ---

(In reply to Vu Dinh from comment #4)
> Hi Ming,
> 
> Can you provide a bit of details how did you verify this issue again
> dev-preview-stg cluster? As far as I recall, this issue requires a master
> upgrade in order to fix the issue and this code fix only exists on OSE
> 3.3.0+ while the master on STG cluster is
> atomic-openshift-master-3.2.1.3-1.git.0.dfa4ad6.el7.x86_64 (OSE 3.2.1) which
> shouldn't have the fix.
> 
> Thanks in advance,
> Vu

I use this command: #oc get is/nodejs -n openshift -o yaml, then check image id to verify this bug.

Comment 1 Scott Dodson 2016-07-12 14:09:45 UTC
I believe the test case for this should be to import the nodejs image stream with tag 0.10 pointing at one image ID, then update the registry to a newer image, then re-import the nodejs image stream. 0.10 should then point to the new image id but latest won't without this fix.

Comment 2 Scott Dodson 2016-07-12 14:11:30 UTC
https://github.com/openshift/ose/pull/299

Comment 3 Maciej Szulik 2016-07-13 09:05:02 UTC
Since this is fixed I think the proper status of this bug should be MODIFIED.

Comment 5 zhou ying 2016-07-18 05:28:44 UTC
Confirmed on OSE3.2.1.9, the issue has fixed. 
openshift version
openshift v3.2.1.9-1-g2265530
kubernetes v1.2.0-36-g4a3f9c5
etcd 2.2.5

Comment 6 zhou ying 2016-07-18 06:53:59 UTC
Test steps :
http://pastebin.test.redhat.com/393105

Comment 8 errata-xmlrpc 2016-07-20 19:37:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1466


Note You need to log in before you can comment on or make changes to this bug.